// Copyright (c) 2024 Celestino Amoroso (celestino.amoroso@gmail.com).
// All rights reserved.

// operator-ctrl.go
package expr

//-------- export all term

func newExportAllTerm(tk *Token) (inst *term) {
	return &term{
		tk:       *tk,
		children: nil,
		position: posLeaf,
		priority: priValue,
		evalFunc: evalExportAll,
	}
}

func evalExportAll(ctx ExprContext, opTerm *term) (v any, err error) {
	CtrlEnable(ctx, control_export_all)
	return
}

// init
func init() {
	registerTermConstructor(SymDoubleAt, newExportAllTerm)
}
